1. Settlements
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Settlements

Get Settlements

GET
/settlements

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200OK
application/json
Bodyapplication/json

🟢200OK
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://portal.litpro.com/api/v1/settlements?page[size]=25&page[number]=1&filter[claimant_id]=123403&sort=-created_at' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - OK - Example 1
{
    "data": [
        {
            "id": 0,
            "client": "string",
            "project": "string",
            "medicare_payments": "string",
            "medicaid_payments": "string",
            "workers_compensation_payments": "string",
            "other_lien_payments": "string",
            "other_lien_type": null,
            "private_lien_payments": "string",
            "private_lien_type": null,
            "is_disbursement_held": true,
            "is_not_payable": true,
            "defendant": "string",
            "is_pre_1980": true,
            "funded_on": "string",
            "funded_amount": "string",
            "offset_amount": "string",
            "attorney_fee_amount": "string",
            "case_expense_amount": "string",
            "expense_document_url": null,
            "settlement_on": "string",
            "attorney_fees_percentage": null,
            "created_at": "string",
            "updated_at": "string"
        }
    ],
    "links": {
        "first": "string",
        "last": "string",
        "prev": null,
        "next": "string"
    },
    "meta": {
        "current_page": 0,
        "from": 0,
        "last_page": 0,
        "links": [
            {
                "url": "string",
                "label": "string",
                "page": 0,
                "active": true
            }
        ],
        "path": "string",
        "per_page": 0,
        "to": 0,
        "total": 0
    }
}
Modified at 2025-04-22 14:39:39
Previous
Update an Existing Claimant
Next
Create Settlement